Loading...
Searching...
No Matches
Opm::BlackOilEnergyModule< TypeTag, enableEnergyV > Class Template Reference

Contains the high level supplements required to extend the black oil model by energy. More...

`#include <blackoilenergymodules.hh>`

## Public Types

using | ExtensiveQuantities = GetPropType<TypeTag, Properties::ExtensiveQuantities>

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the black-oil energy module.
static void | registerOutputModules (Model &model, Simulator &simulator)
| Register all energy specific VTK and ECL output modules.
static bool | primaryVarApplies (unsigned pvIdx)
static std::string | primaryVarName (unsigned pvIdx)
static Scalar | primaryVarWeight (unsigned pvIdx)
static bool | eqApplies (unsigned eqIdx)
static std::string | eqName (unsigned eqIdx)
static Scalar | eqWeight (unsigned eqIdx)
template<class LhsEval>
static void | addStorage (Dune::FieldVector< LhsEval, numEq > &storage, const IntensiveQuantities &intQuants)
static void | computeFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
static void | addHeatFlux (RateVector &flux, const Evaluation &heatFlux)
template<class UpEval, class Eval, class FluidState>
static void | addPhaseEnthalpyFluxes_ (RateVector &flux, unsigned phaseIdx, const Eval &volumeFlux, const FluidState &upFs)
template<class UpstreamEval>
static void | addPhaseEnthalpyFlux_ (RateVector &flux, unsigned phaseIdx, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
static void | addToEnthalpyRate (RateVector &flux, const Evaluation &hRate)
template<class FluidState>
static void | assignPrimaryVars (PrimaryVariables &priVars, const FluidState &fluidState)
| Assign the energy specific primary variables to a PrimaryVariables object.
static void | updatePrimaryVars (PrimaryVariables &newPv, const PrimaryVariables &oldPv, const EqVector &delta)
| Do a Newton-Raphson update the primary variables of the energys.
static Scalar | computeUpdateError (const PrimaryVariables &, const EqVector &)
| Return how much a Newton-Raphson update is considered an error.
static Scalar | computeResidualError (const EqVector &resid)
| Return how much a residual is considered an error.
template<class DofEntity>
static void | serializeEntity (const Model &model, std::ostream &outstream, const DofEntity &dof)
template<class DofEntity>
static void | deserializeEntity (Model &model, std::istream &instream, const DofEntity &dof)

## Detailed Description

template<class TypeTag, bool enableEnergyV = getPropValue<TypeTag, Properties::EnableEnergy>()>
class Opm::BlackOilEnergyModule< TypeTag, enableEnergyV >

Contains the high level supplements required to extend the black oil model by energy.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilenergymodules.hh